[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Unix' (#rtl)

# SelectText

Wait for event on text file.

## Declaration

Source position: line 0

`function SelectText(`
`var T: Text;`
`TimeOut: ptimeval`
`):cint; function SelectText(`
`var T: Text;`
`TimeOut: cint`
`):cint;`

## Description

SelectText executes the FpSelect call on a file of type Text. You can specify a timeout in TimeOut. The SelectText call determines itself whether it should check for read or write, depending on how the file was opened : With Reset it is checked for reading, with Rewrite and Append it is checked for writing.

## Errors

See #rtl.baseunix.FpSelect. SYS_EBADF can also mean that the file wasn't opened.

## See also

#rtl.baseunix.FpSelect |  | Wait for events on file descriptors

Documentation generated on: Feb 26 2014